Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class GenctlFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              com.ssaglobal.generator.genctl.impl.GenctlFactoryImpl

All Implemented Interfaces:
  GenctlFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class GenctlFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements GenctlFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface com.ssaglobal.generator.genctl.GenctlFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GenctlFactoryImpl()` Creates and instance of the factory

Method Summary
`java.lang.String` | `convertClassNameDTToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertFileTypeDTToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertNameDTToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertPathDTToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertTemplateEngineTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertTemplateWriterTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertValueDTToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AppliesTo` | `createAppliesTo()`
`java.lang.String` | `createClassNameDTFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createFileTypeDTFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GeneratorControlArea` | `createGeneratorControlArea()`
`GeneratorPreferences` | `createGeneratorPreferences()`
`GeneratorProperty` | `createGeneratorProperty()`
`ModelResourceFactory` | `createModelResourceFactory()`
`java.lang.String` | `createNameDTFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createPathDTFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Template` | `createTemplate()`
`TemplateCondition` | `createTemplateCondition()`
`TemplateEngineType` | `createTemplateEngineTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`TemplateHelper` | `createTemplateHelper()`
`TemplatePackagePreferences` | `createTemplatePackagePreferences()`
`TemplateWriterType` | `createTemplateWriterTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createValueDTFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenctlPackage` | `getGenctlPackage()`
`static GenctlPackage` | `getPackage()` Deprecated.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GenctlFactoryImpl

    public GenctlFactoryImpl()

  Creates and instance of the factory.

Method Detail

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAppliesTo

    public AppliesTo createAppliesTo()

  Specified by:
    `createAppliesTo` in interface `GenctlFactory`
  Returns:
    a new object of class 'Applies To'.

### createGeneratorControlArea

    public GeneratorControlArea createGeneratorControlArea()

  Specified by:
    `createGeneratorControlArea` in interface `GenctlFactory`
  Returns:
    a new object of class 'Generator Control Area'.

### createGeneratorPreferences

    public GeneratorPreferences createGeneratorPreferences()

  Specified by:
    `createGeneratorPreferences` in interface `GenctlFactory`
  Returns:
    a new object of class 'Generator Preferences'.

### createGeneratorProperty

    public GeneratorProperty createGeneratorProperty()

  Specified by:
    `createGeneratorProperty` in interface `GenctlFactory`
  Returns:
    a new object of class 'Generator Property'.

### createModelResourceFactory

    public ModelResourceFactory createModelResourceFactory()

  Specified by:
    `createModelResourceFactory` in interface `GenctlFactory`
  Returns:
    a new object of class 'Model Resource Factory'.

### createTemplate

    public Template createTemplate()

  Specified by:
    `createTemplate` in interface `GenctlFactory`
  Returns:
    a new object of class 'Template'.

### createTemplateCondition

    public TemplateCondition createTemplateCondition()

  Specified by:
    `createTemplateCondition` in interface `GenctlFactory`
  Returns:
    a new object of class 'Template Condition'.

### createTemplateHelper

    public TemplateHelper createTemplateHelper()

  Specified by:
    `createTemplateHelper` in interface `GenctlFactory`
  Returns:
    a new object of class 'Template Helper'.

### createTemplatePackagePreferences

    public TemplatePackagePreferences createTemplatePackagePreferences()

  Specified by:
    `createTemplatePackagePreferences` in interface `GenctlFactory`
  Returns:
    a new object of class 'Template Package Preferences'.

### createClassNameDTFromString

    public java.lang.String createClassNameDTFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.String initialValue)

### convertClassNameDTToString

    public java.lang.String convertClassNameDTToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createFileTypeDTFromString

    public java.lang.String createFileTypeDTFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertFileTypeDTToString

    public java.lang.String convertFileTypeDTToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createNameDTFromString

    public java.lang.String createNameDTFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

### convertNameDTToString

    public java.lang.String convertNameDTToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createPathDTFromString

    public java.lang.String createPathDTFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

### convertPathDTToString

    public java.lang.String convertPathDTToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createTemplateEngineTypeObjectFromString

    public TemplateEngineType createTemplateEngineTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertTemplateEngineTypeObjectToString

    public java.lang.String convertTemplateEngineTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

### createTemplateWriterTypeObjectFromString

    public TemplateWriterType createTemplateWriterTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertTemplateWriterTypeObjectToString

    public java.lang.String convertTemplateWriterTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

### createValueDTFromString

    public java.lang.String createValueDTFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.String initialValue)

### convertValueDTToString

    public java.lang.String convertValueDTToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

### getGenctlPackage

    public GenctlPackage getGenctlPackage()

  Specified by:
    `getGenctlPackage` in interface `GenctlFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static GenctlPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD